TimestampType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class TimestampType

    java.lang.Object
      org.hibernate.type.AbstractStandardBasicType<T>
          org.hibernate.type.AbstractSingleColumnStandardBasicType<Date>
              org.hibernate.type.TimestampType

All Implemented Interfaces:
  Serializable, BasicType, LiteralType<Date>, SingleColumnType<Date>, StringRepresentableType<Date>, Type, VersionType<Date>, XmlRepresentableType<Date>

Direct Known Subclasses:
  DbTimestampType

    public class TimestampType

extends AbstractSingleColumnStandardBasicType<Date>
implements VersionType<Date>, LiteralType<Date>

A type that maps between `TIMESTAMP` and `Timestamp`

See Also:
  Serialized Form

Field Summary
`static TimestampType` | `INSTANCE`

Constructor Summary
`TimestampType()`

Method Summary
`Date` | `fromStringValue(String xml)` Consume the given string representation back into this types java form.
`Comparator<Date>` | `getComparator()` Get a comparator for version values.
`String` | `getName()` Returns the abbreviated name of the type.
`String[]` | `getRegistrationKeys()` Get the names under which this type should be registered in the type registry.
`Date` | `next(Date current, SessionImplementor session)` Increment the version.
`String` | `objectToSQLString(Date value, Dialect dialect)` Convert the value into a string representation, suitable for embedding in an SQL statement as a literal.
`Date` | `seed(SessionImplementor session)` Generate an initial version.

Methods inherited from class org.hibernate.type.AbstractSingleColumnStandardBasicType
`nullSafeSet, sqlType`

Methods inherited from class org.hibernate.type.AbstractStandardBasicType
`assemble, beforeAssemble, compare, deepCopy, deepCopy, defaultSizes, dictatedSizes, disassemble, fromString, fromXMLNode, fromXMLString, get, getColumnSpan, getDefaultSize, getDictatedSize, getHashCode, getHashCode, getJavaTypeDescriptor, getMutabilityPlan, getReplacement, getReturnedClass, getSemiResolvedType, getSqlTypeDescriptor, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, registerUnderJavaType, remapSqlTypeDescriptor, replace, replace, resolve, semiResolve, set, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toString, toXMLString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.Type
`assemble, beforeAssemble, compare, deepCopy, defaultSizes, dictatedSizes, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Methods inherited from interface org.hibernate.type.SingleColumnType
`get, nullSafeGet, set, toString`

Field Detail

### INSTANCE

    public static final TimestampType INSTANCE

Constructor Detail

### TimestampType

    public TimestampType()

Method Detail

### getName

    public String getName()

  Description copied from interface: `Type`
  Returns the abbreviated name of the type.

  Specified by:
    `getName` in interface `Type`
  Returns:
    String the Hibernate type name

### getRegistrationKeys

    public String[] getRegistrationKeys()

  Description copied from interface: `BasicType`
  Get the names under which this type should be registered in the type registry.

  Specified by:
    `getRegistrationKeys` in interface `BasicType`
  Overrides:
    `getRegistrationKeys` in class `AbstractStandardBasicType<Date>`
  Returns:
    The keys under which to register this type.

### next

    public Date next(Date current,
                     SessionImplementor session)

  Description copied from interface: `VersionType`
  Increment the version.

  Specified by:
    `next` in interface `VersionType<Date>`
  Parameters:
    `current` - the current version
    `session` - The session from which this request originates.
  Returns:
    an instance of the type

### seed

    public Date seed(SessionImplementor session)

  Description copied from interface: `VersionType`
  Generate an initial version.

  Specified by:
    `seed` in interface `VersionType<Date>`
  Parameters:
    `session` - The session from which this request originates.
  Returns:
    an instance of the type

### getComparator

    public Comparator<Date> getComparator()

  Description copied from interface: `VersionType`
  Get a comparator for version values.

  Specified by:
    `getComparator` in interface `VersionType<Date>`
  Returns:
    The comparator to use to compare different version values.

### objectToSQLString

    public String objectToSQLString(Date value,
                                    Dialect dialect)
                             throws Exception

  Description copied from interface: `LiteralType`
  Convert the value into a string representation, suitable for embedding in an SQL statement as a literal.

  Specified by:
    `objectToSQLString` in interface `LiteralType<Date>`
  Parameters:
    `value` - The value to convert
    `dialect` - The SQL dialect
  Returns:
    The value's string representation
  Throws:
    `Exception` - Indicates an issue converting the value to literal string.

### fromStringValue

    public Date fromStringValue(String xml)
                         throws HibernateException

  Description copied from interface: `StringRepresentableType`
  Consume the given string representation back into this types java form.

  Specified by:
    `fromStringValue` in interface `SingleColumnType<Date>`
  Specified by:
    `fromStringValue` in interface `StringRepresentableType<Date>`
  Overrides:
    `fromStringValue` in class `AbstractStandardBasicType<Date>`
  Parameters:
    `xml` - The string representation to be consumed.
  Returns:
    The java type representation
  Throws:
    `HibernateException` - Problem consuming

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.